<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:annotation>
    <xs:documentation >
      PKEY config definition
    </xs:documentation>
  </xs:annotation>
  
  <!--PKEY module-->
  <xs:element name="PKEY">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <!--PKEY Table-->
        
        <!--PeerKeys Table-->
        <xs:element name="PeerKeys" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Configure peer public keys</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Key" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="PeerKeyName" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>
                          Name of peer pubilc key, 1 to 31 characters
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="64"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Value" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The data of Key</xs:documentation>
                      </xs:annotation>
					  <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:OctectString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="2047"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>